<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:halma="http://halma.com/xbrl/2023" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" targetNamespace="http://halma.com/xbrl/2023" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:dtr="http://www.xbrl.org/dtr/type/2020-01-21">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" namespace="http://www.xbrl.org/dtr/type/2020-01-21" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="halma-2024-03-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="halma-2024-03-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="halma-2024-03-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="halma-2024-03-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="ProfitOrLoss" roleURI="http://halma.com/xbrl/2023/roles/ProfitOrLoss">
        <link:definition>01 - Profit or loss</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncome" roleURI="http://halma.com/xbrl/2023/roles/StatementOfComprehensiveIncome">
        <link:definition>02 - Statement of comprehensive income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncomeParenthetical" roleURI="http://halma.com/xbrl/2023/roles/StatementOfComprehensiveIncomeParenthetical">
        <link:definition>03 - Statement of comprehensive income (Parenthetical)</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfFinancialPosition" roleURI="http://halma.com/xbrl/2023/roles/StatementOfFinancialPosition">
        <link:definition>04 - Statement of financial position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://halma.com/xbrl/2023/roles/NotesAndMandatoryItems">
        <link:definition>05 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquity" roleURI="http://halma.com/xbrl/2023/roles/StatementOfChangesInEquity">
        <link:definition>06 - Statement of changes in equity</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquityParenthetical" roleURI="http://halma.com/xbrl/2023/roles/StatementOfChangesInEquityParenthetical">
        <link:definition>07 - Statement of changes in equity (Parenthetical)</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlows" roleURI="http://halma.com/xbrl/2023/roles/StatementOfCashFlows">
        <link:definition>08 - Statement of cash flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://halma.com/xbrl/2023/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="halma_CarryingValueOfNetInvestmentHedges" xbrli:balance="credit" xbrli:periodType="instant" name="CarryingValueOfNetInvestmentHedges" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_PurchaseOfComputerSoftwareClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfComputerSoftwareClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_PurchaseOfOtherIntangiblesClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfOtherIntangiblesClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_LoanArrangementFeesClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="LoanArrangementFeesClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_RepaymentOfAcquiredDebtOnAcquisitionClassifiedAsFinancingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="RepaymentOfAcquiredDebtOnAcquisitionClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_DisclosureOfUseOfAlternativePerformanceMeasuresAPMs" xbrli:periodType="duration" name="DisclosureOfUseOfAlternativePerformanceMeasuresAPMs" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
  <xs:element id="halma_DescriptionOfAccountingPolicyForContractAssetsAndLiabilties" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForContractAssetsAndLiabilties" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
  <xs:element id="halma_DescriptionOfAccountingPolicyForAdjustingItems" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForAdjustingItems" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
  <xs:element id="halma_MarketValueOfOwnShares" xbrli:balance="credit" xbrli:periodType="instant" name="MarketValueOfOwnShares" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_DescriptionOfAccountingPolicyForCostsToObtainOrFulfilAContract" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForCostsToObtainOrFulfilAContract" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
  <xs:element id="halma_DisclosureOfAlternativePerformanceMeasures" xbrli:periodType="duration" name="DisclosureOfAlternativePerformanceMeasures" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
  <xs:element id="halma_DisclosureOfContractBalances" xbrli:periodType="duration" name="DisclosureOfContractBalances" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
  <xs:element id="halma_DisclosureOfForeignCurrencyRisk" xbrli:periodType="duration" name="DisclosureOfForeignCurrencyRisk" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
  <xs:element id="halma_DescriptionOfAccountingPolicyForOperatingProfit" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForOperatingProfit" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
  <xs:element id="halma_NonControllingInterestDisposed" xbrli:balance="debit" xbrli:periodType="duration" name="NonControllingInterestDisposed" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_DeferredTaxOnShareBasedPaymentTransactions" xbrli:balance="debit" xbrli:periodType="duration" name="DeferredTaxOnShareBasedPaymentTransactions" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_ExcessTaxDeductionsRelatedToShareBasedPaymentsOnVestedAwards" xbrli:balance="debit" xbrli:periodType="duration" name="ExcessTaxDeductionsRelatedToShareBasedPaymentsOnVestedAwards" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_ConsolidatedIncomeStatementAxis" xbrli:periodType="duration" abstract="true" name="ConsolidatedIncomeStatementAxis" nillable="true" xmlns:q1="http://xbrl.org/2005/xbrldt" substitutionGroup="q1:dimensionItem" type="xbrli:stringItemType" />
  <xs:element id="halma_AdjustedMember" xbrli:periodType="duration" abstract="true" name="AdjustedMember" nillable="true" substitutionGroup="xbrli:item" type="dtr:domainItemType" />
  <xs:element id="halma_AdjustmentsMember" xbrli:periodType="duration" abstract="true" name="AdjustmentsMember" nillable="true" substitutionGroup="xbrli:item" type="dtr:domainItemType" />
  <xs:element id="halma_TotalMember" xbrli:periodType="duration" abstract="true" name="TotalMember" nillable="true" substitutionGroup="xbrli:item" type="dtr:domainItemType" />
  <xs:element id="halma_ProfitOrLossTable" xbrli:periodType="duration" abstract="true" name="ProfitOrLossTable" nillable="true" xmlns:q2="http://xbrl.org/2005/xbrldt" substitutionGroup="q2:hypercubeItem" type="xbrli:stringItemType" />
  <xs:element id="halma_ProfitOrLossLineItems" xbrli:periodType="duration" abstract="true" name="ProfitOrLossLineItems" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" />
  <xs:element id="halma_PerformanceSharePlanAwardsVested" xbrli:balance="credit" xbrli:periodType="duration" name="PerformanceSharePlanAwardsVested" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_ProfitOnDisposalOfOperations" xbrli:balance="credit" xbrli:periodType="duration" name="ProfitOnDisposalOfOperations" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_PaidAndProposed" xbrli:balance="credit" xbrli:periodType="duration" name="PaidAndProposed" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_PaidAndProposedPerShare" xbrli:balance="credit" xbrli:periodType="duration" name="PaidAndProposedPerShare" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_UnrealisedLossesGainsInTheFairValueOfEquityInvestmentsAtFairValueThroughOtherComprehensiveIncome" xbrli:balance="credit" xbrli:periodType="duration" name="UnrealisedLossesGainsInTheFairValueOfEquityInvestmentsAtFairValueThroughOtherComprehensiveIncome" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_GainsLossesRelatingToNetInvestmentHedges" xbrli:balance="credit" xbrli:periodType="duration" name="GainsLossesRelatingToNetInvestmentHedges" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_InterestInAssociatesAndOtherInvestments" xbrli:balance="debit" xbrli:periodType="instant" name="InterestInAssociatesAndOtherInvestments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_DisclosureOfInterestRateRisk" xbrli:periodType="duration" name="DisclosureOfInterestRateRisk" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
  <xs:element id="halma_ProfitBeforeInterestAndTaxation" xbrli:balance="credit" xbrli:periodType="duration" name="ProfitBeforeInterestAndTaxation" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="halma_DisclosureOfDisposalOfOperations" xbrli:periodType="duration" name="DisclosureOfDisposalOfOperations" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
</xs:schema>